Subject: Re: [xml2rfc-dev] Please help review v3 files

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 1 Aug 2019 16:15:10 +0200

Hi Martin,

On 2019-08-01 07:19, Martin Thomson wrote:
> I've been looking at the stylesheet.  Is
> https://github.com/rfc-format/draft-iab-rfc-css-bis still the right
> place to go for that?  It looks like the issues list hasn't had any
> attention in some while, despite some of the issues having been
> addressed (I found and closed one).  If that is the right place to
> go, I'll submit a pull request with what I have.

The default stylesheet in actual use is packaged with xml2rfc and
maintained in the xml2rfc subversion repo, located at
https://svn.tools.ietf.org/svn/tools/xml2rfc/

The stylesheet in trunk is at
https://svn.tools.ietf.org/svn/tools/xml2rfc/trunk/cli/xml2rfc/data/xml2rfc.css

I'm happy to take diffs, or if you can countenance working with svn,
I can make you an area for personal branches where you can check in
changes for merge to trunk.

Best regards,

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 6 Aug 2019 17:36:23 +0200

Hi Martin,

On 2019-08-01 07:19, Martin Thomson wrote:
> To aid in styling, these probably need to include <meta
> name="viewport" content="initial-scale=1.0"> in the <head>.  Viewing
> the html on a phone does strange things to certain elements.  For
> instance, <dt> is oddly shrunken on my phone.

I've added this <meta> tag for the next release.

	Henrik

---

From: Sandy Ginoza <[email-masked]>
Date: Tue, 13 Aug 2019 14:24:31 -0700

Hi all,

We have recreated files using the newest release of xml2rfc.  We believe this addresses the issue with the TOC on small devices - please review.  

Note that there is still an issue with handling of “see Section N of [YYYY]”.

https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.v24.html> 

https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.v24.html> 

https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.v24.html>

https://www.rfc-editor.org/v3test/draft-ietf-roll-efficient-npdao-15-RE.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-roll-efficient-npdao-15-RE.v2v3.v24.html>

https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.v24.html> 

https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.v24.html> 

https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.v24.html <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.v24.html> 

FYI - the full set of files (i.e., xml, html, pdf, txt) is available; just change the file extension.  

Thank you,
Sandy 

> On Jul 18, 2019, at 12:23 AM, Carsten Bormann <[email-masked]> wrote:
> 
> The HTML form has an intrusive tablet of contents that is hiding a third of each line, is hard to get rid of, and that reappears on the slightest scrolling.  The page is essentially unusable.  (Viewed on an iPhone)
> 
> Sent from mobile
> 
> On 18. Jul 2019, at 08:19, Sandy Ginoza <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Hi all,
>> 
>> As you know, the transition to XMLv3 is quickly approaching.  As part of our preparation, the RPC is  converting some XMLv2 files to XMLv3.  We’re hoping some of you will take the time to review the files and provide feedback regarding whether the updates are as expected and the XMLv3 files are considered “good” v3 files.  
>> 
>> A couple of notes:
>> - we focused on format only; we did not make editorial updates. 
>> - the diff files compare the initial v2v3 output with the files we edited.
>> 
>> Please review the following files:
>> 
>> 1) draft-ietf-spring-segment-routing-msdc
>> https://www.ietf.org/id/draft-ietf-spring-segment-routing-msdc-11.txt <https://www.ietf.org/id/draft-ietf-spring-segment-routing-msdc-11.txt>
>> 
>> https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.html>
>> https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.pdf>
>> https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.txt>
>> https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.xml>
>> 
>> rfc-xmldiff:
>> https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-xmldiff.html>
>> 
>> htmlwdiff:
>> file:///Volumes/rfcpa/inc-work/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-htmlwdiff.html
>> 
>> 
>> 2) draft-ietf-isis-l2bundles
>> https://www.ietf.org/id/draft-ietf-isis-l2bundles-07.txt <https://www.ietf.org/id/draft-ietf-isis-l2bundles-07.txt>
>> 
>> Please pay particular attention to lists and the use of <aside>.  We experimented with list styles and used <aside> for notes.  Using <aside> in this way required some changes because <aside> can’t be used within lists.  
>> 
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.html>
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.pdf>
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.txt>
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.xml>
>> 
>> rfc-xmldiff:
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-xmldiff.html>
>> 
>> htmlwdiff:
>> https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-htmlwdiff.html <https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-htmlwdiff.html>
>> 
>> 
>> Thanks for your help!
>> Sandy
>> 
>> _______________________________________________
>> xml2rfc-dev mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/xml2rfc-dev <https://www.ietf.org/mailman/listinfo/xml2rfc-dev>
>> 
>>

---

From: Tom Pusateri <[email-masked]>
Date: Tue, 13 Aug 2019 17:47:25 -0400

This is looking slightly better to me (without knowing what to look at).

The Section 6.7 of RFC6550 links now go to https://www.rfc-editor.org/info/rfc6550#section-6.7 <https://www.rfc-editor.org/info/rfc6550#section-6.7>

This almost works. If they instead went to https://www.rfc-editor.org/rfc/rfc6550#section-6.7 <https://www.rfc-editor.org/rfc/rfc6550#section-6.7>, they would work.

The table of contents still disappears when you select it and scroll down on it on an iPhone. This is the same for vertical mode on an iPad. In horizontal mode on an iPad, it seems to work ok.

Links require hitting them twice on an iPhone or iPad but not on a mac with Safari (internal or external). The first time you hit them, a paragraph symbol shows up at the end of the line, the second time you hit them, the link responds.

Have you tried any documents with SVG as an alternate to ASCII art?

Thanks,
Tom

> On Aug 13, 2019, at 5:24 PM, Sandy Ginoza <[email-masked]> wrote:
> 
> Hi all,
> 
>> On Jul 18, 2019, at 12:23 AM, Carsten Bormann <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>> file:///Volumes/rfcpa/inc-work/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-htmlwdiff.html <file:///Volumes/rfcpa/inc-work/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-htmlwdiff.html>
>>> 
>>> 
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc-dev

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 14 Aug 2019 00:00:53 +0200

> We have recreated files using the newest release of xml2rfc.  We believe this addresses the issue with the TOC on small devices - please review.  

Indeed, much better.

A few quick observations on iOS/Safari (all about the styling, which may be an indication that the XML structure works):

The first click on an internal/literature reference link adds a pilcrow to the paragraph if it didn’t have one yet (this is also true of the TOC).  The second click then advances to the linked reference, the first line of which is sometimes obscured by the TOC menu (if not, scrolling is needed to get the TOC menu again, but that is kind of OK).

How do you add a pilcrow to a paragraph that doesn’t have a reference?

Some horizontal scrolling is needed to view a box notation artwork of more than 18 bits (37 columns).  This is a bit more complicated because both the artwork and the entire document scroll horizontally, so the result is somewhat non-deterministic.  (This is also sometimes true of long headings; I haven’t found a way to reproduce this — maybe it was the smart sizing feature of iOS Safari.)  It would be better to nail down the document so only the artwork needs to scroll horizontally.  I also don’t know why the document text is sometimes wider than the viewport.

Going to landscape just increases the font size and doesn’t help with the artwork.

Grüße, Carsten

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Tue, 13 Aug 2019 22:08:06 +0000

Thank you, Sandy.

There was a comment a week or so ago about not seeing the RFC number anywhere except at the very top. This is because we no longer have page headers and footers regularly. It struck a chord with me. Could “Table of Contents” become “RFC #### Table of Contents”?

Just a thought.

                Tony Hansen

From: xml2rfc-dev <[email-masked]> on behalf of Sandy Ginoza <[email-masked]>
Date: Tuesday, August 13, 2019 at 5:24 PM
To: Carsten Bormann <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, RFC Editor <[email-masked]>
Subject: Re: [xml2rfc-dev] Please help review v3 files

Hi all,

https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=ro0tROJJU8czR34OqZqKIvInGlVQ0qu0JYzlI1OKYAs&e=>

https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=S1pxibFuqWc6pEYG5ZY65ABBJkdMbAdOnH4huzcuyes&e=>

https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Davtcore-2Drtp-2Dmulti-2Dstream-2Doptimisation-2D12-2DKC.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=qd5ifw64oiYY23J1iIQ35rM8k9P5fwJSP9AtD290VwY&e=>

https://www.rfc-editor.org/v3test/draft-ietf-roll-efficient-npdao-15-RE.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Droll-2Defficient-2Dnpdao-2D15-2DRE.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=boORUVhotq6a-pDsqDjuK00uAOGpTznAmZu38Wc15OQ&e=>

https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dsipcore-2Drejected-2D09-2DLB.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=OHawHFiYpBaFyO4HcPRMKIZG151BgfePq2TcgSUmpJo&e=>

https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dlamps-2Dpkix-2Dshake-2D15-2DRV.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=tAU0R09s5uU3AKnrUP1WDzsgn9xqG19ZVQCtwzLoPbY&e=>

https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.v24.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dlisp-2Dintroduction-2D13-2DMS.v2v3.v24.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=OKsE7GrPHbjAO81prAioGJ8fbISd-gqoLol5Zl7doOg&e=>

Thank you,
Sandy

On Jul 18, 2019, at 12:23 AM, Carsten Bormann <[email-masked]<mailto:[email-masked]>> wrote:

On 18. Jul 2019, at 08:19, Sandy Ginoza <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,

A couple of notes:

1) draft-ietf-spring-segment-routing-msdc
https://www.ietf.org/id/draft-ietf-spring-segment-routing-msdc-11.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_id_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11.txt&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=LsyTKYzz4LP8Dx4ezMRHnPAE4Qv2uGMM71UsEuuk0H0&e=>

https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=-WRqBtwAdJYGxf0l-YTBkWkARB-E1CnDwg7f-zPsFMk&e=>
https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.pdf<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3.pdf&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=W0Dd3tX7V9LyXdyBxGdLtH5koLTtY3AYPMW_NikMui8&e=>
https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3.txt&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=N0qQSrbTYAlA71nUcXrBBfQwbg6qo-UQOwGCgYxr1Fk&e=>
https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3.xml<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3.xml&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=dO1wMk-7Ncz6UbzVaGQgO3UVZedckw7JQ3TRTwXi9wk&e=>

rfc-xmldiff:
https://www.rfc-editor.org/v3test/draft-ietf-spring-segment-routing-msdc-11-MS.v2v3-xmldiff.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Dspring-2Dsegment-2Drouting-2Dmsdc-2D11-2DMS.v2v3-2Dxmldiff.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=f0OgdiKGTEbieCpN6i-C3buQnZdbiSud2IUXPrsv7LY&e=>

htmlwdiff:

2) draft-ietf-isis-l2bundles
https://www.ietf.org/id/draft-ietf-isis-l2bundles-07.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_id_draft-2Dietf-2Disis-2Dl2bundles-2D07.txt&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=YVa49hVTWLZy7TDaiT9O-eaWsMDJnJ1a4r9MQ2g2SbY&e=>

https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.v2v3.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=3cT3G_0kZ-wZqV9r38COSms96pt5_nFdptcAEBqJXco&e=>
https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.pdf<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.v2v3.pdf&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=Y3_JxLEEhlJSRVw14iB_K9dDytRYYsTM5fRdthMM9NM&e=>
https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.v2v3.txt&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=41bESquvtsFRher1ErgA8pdReP4UXO5A-MCElxDW73E&e=>
https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.v2v3.xml<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.v2v3.xml&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=8PlBWgpCZWxQ6UE5PjYDBvIawQYnHg9IZsaNpY18AqI&e=>

rfc-xmldiff:
https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-xmldiff.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.orignal.v2v3-2Dxmldiff.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=s7meUAMFBJEIF8sQh2eII-VoBsVFcnxP3B7x3lk_Fv4&e=>

htmlwdiff:
https://www.rfc-editor.org/v3test/draft-ietf-isis-l2bundles-07-SG.orignal.v2v3-htmlwdiff.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_v3test_draft-2Dietf-2Disis-2Dl2bundles-2D07-2DSG.orignal.v2v3-2Dhtmlwdiff.html&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=5fDGgpfsT0rUrIT7Llo3Dhtg_VvB79r4m1mrdG14wHM&e=>

Thanks for your help!
Sandy

_______________________________________________
xml2rfc-dev mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/xml2rfc-dev<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xml2rfc-2Ddev&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=Kz8VdgPVctDNSNPJ6PsBaw&m=9F6plUiKuzdKkYlynsEEoyUDwrTW5_rvs7F0WXmFi6s&s=eQewqycP3XwzILuUibgNdF-XGZSipYmtt4eZcNvVFXs&e=>

---

From: Heather Flanagan <[email-masked]>
Date: Wed, 21 Aug 2019 07:36:41 -0700

Hi Julian, all,

Comments below.

> On Aug 20, 2019, at 12:55 AM, Julian Reschke <[email-masked]> wrote:
> 
> Heather,
> 
> any news on this?
> 
> Best regards, Julian
> 
> 
> On 25.07.2019 15:07, Julian Reschke wrote:
>> On 18.07.2019 09:56, Julian Reschke wrote:
>>> Hi Heather & RFC-interested colleagues,
>>> 
>>> it's nice to hear that the production center is making progress (see
>>> mail below which reminded me of this topic).
>>> 
>>> However, we still don't have a definition of what "v3" is, and I don't
>>> think you can start *publishing* in V3 until that is done, or at least
>>> understood when it is done.
>>> 
>>> We currently have:
>>> 
>>> 1) RFC 7991 and friends
>>> 
>>> 2) abandoned -bis drafts for some of these, for instance:
>>> <https://datatracker.ietf.org/doc/draft-iab-rfc7991bis/>
>>> 
>>> 3) an issue tracker that is getting little feedback:
>>> <https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues>
>>> 
>>> 4) an early implementation, with implementation notes:
>>> <https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-09>
>>> 
>>> 
>>> 5) a significant number of open issues that were reported to the
>>> mailing lists xml2rfc and/or xml2rfc-dev, which I believe have not
>>> been addressed
>>> 
>>> My personal impression is that we'll end up in a situation where we -
>>> once again - have no proper specification, but just one concrete
>>> implementation; similar to what we had with v2.
>>> 
>>> It would be awesome to get an update about the plans to finalize the
>>> v3 specification (timeline, process, etc). I believe the upcoming
>>> plenary would be a good place to talk about this.
>>> 
>>> Best regards, Julian
>> 
>> 
>> Hi Heather!
>> 
>> I listened through the plenary recording and did not see any mention of
>> this topic.
>> 
>> I understand it's a busy time, and furthermore a very busy week, but it
>> would be great if you could at least give a timeline about when you
>> might be able to give a reply.
>> 
>> Best regards, Julian
> 

I met with Henrik and Alice in Montreal to go through each item in draft-levkowetz-v3-implementation-notes and am holding the pen to update 7991bis accordingly; I’m working on that this week. For the most part, I agreed with Henrik’s suggestions regarding the vocabulary in his implementation notes. Specific points where I did not I’ve noted below.[1] I do not intend to hold up implementation for the final publication of 7991bis. 

The only showstopper bugs I’m aware of (from the RFC Editor perspective) at this point involve <xref> section links and an issue with comments cutting off non-commented text. Those are either fixed in 2.24.0 and being tested or are expected to be fixed this week in 2.24.1 (and then will be tested).

Henrik has been prioritizing issues and bug fixes as sent via email by the RPC. These have not gone into trac; it probably makes sense for the RPC to start using trac when the tools are officially in production.

The current rollout date is September 16. I’ve pushed it out two weeks to make sure Henrik and the RPC have time to fix/test the remaining big items. I’m sending out a message to rfc-interest (and possibly [email-masked]) about this in the next day or so. 

[1] Push back on the vocabulary suggestions in draft-levkowetz-v3-implementation-notes:
2.1. - pagination for I-D is fine, but consensus was no pagination for RFCs. Nothing has changed since that decision was made.
2.2. - fine with requiring date info, but the dates must be displayed according to the current pattern
3.1.13 - need to review what the design team said about this
3.1.21.5 - definitely need to rewrite this section; docName should show up in the metadata

---

From: Julian Reschke <[email-masked]>
Date: Wed, 21 Aug 2019 17:02:11 +0200

On 21.08.2019 16:36, Heather Flanagan wrote:
> ...

Yes.

> 2.2. - fine with requiring date info, but the dates must be displayed according to the current pattern

Please document the current pattern then (incl for April 1st RFCs).

> 3.1.13 - need to review what the design team said about this

Please.

> 3.1.21.5 - definitely need to rewrite this section; docName should show up in the metadata

FWIW, I agree with Henrik's summary for this point.

Also...

Hm, what about the 44 open issues at
<https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues>?

Also, will there be any discussion about the changes proposed and
implemented by Henrik? If I, as an implementer, see problems with the
changes, where can I provide feedback and actually get a discussion?

And is there an actual plan for work on 7991bis???

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Wed, 21 Aug 2019 09:06:04 -0700

> On Aug 21, 2019, at 8:02 AM, Julian Reschke <[email-masked]> wrote:
> 

Yes.

> FWIW, I agree with Henrik's summary for this point.

Good to know.

> <https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues <https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues>>?

I’ll review those as part of the draft update, but I don’t think any of them are blockers.

> changes, where can I provide feedback and actually get a discussion?

For the proposed changes to the vocabulary, this is an area where I need to look at the discussion to date and just make a decision. I don’t see that rehashing the discussions will provide new information. I expect every decision regarding vocabulary changes will have people for and against each one. 

The proper place for discussion for v3 tooling bugs and feature requests remains xml2rfc-dev. 

> And is there an actual plan for work on 7991bis???

I’m working on the bis doc now.

-Heather

---

From: Julian Reschke <[email-masked]>
Date: Wed, 21 Aug 2019 18:47:58 +0200

> I’m working on the bis doc now.

Please note that RFC 7749 and 7991 use a slightly complicated make
process, where parts of the text is generated from the grammar. It would
be good to keep that for consistency.

Let me know if you run into problems, and I can fix these for you.

(See first PR at
<https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/pull/85>)

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Wed, 21 Aug 2019 10:32:19 -0700

> On Aug 21, 2019, at 9:47 AM, Julian Reschke <[email-masked]> wrote:
> 

Instructions on how to do this would be appreciated, else I’ll do this by hand.

> Let me know if you run into problems, and I can fix these for you.

First I have to figure out how to put together the necessary environment. If this is how this kind of thing should be maintained going forward, we should get it documented somewhere.

> <https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/pull/85>)

I don’t understand how to read that as applying to how to compile the draft?

-Heather

---

From: Julian Reschke <[email-masked]>
Date: Wed, 21 Aug 2019 19:44:21 +0200

> Instructions on how to do this would be appreciated, else I’ll do this by hand.

(trimming cc:)

Checkout from github ("git clone
[email-masked]:rfc-format/draft-iab-xml2rfc-v3-bis.git"); then run "make".

You might get failures due to missing tool installations; if that is the
case, let me know.

> First I have to figure out how to put together the necessary environment. If this is how this kind of thing should be maintained going forward, we should get it documented somewhere.

I can create a README.md, if this helps.

> I don’t understand how to read that as applying to how to compile the draft?

It modifies the Makefile to use xml2rfc (instead of the ancient TCL
based formatter).

Best regards, Julian